> ## Documentation Index
> Fetch the complete documentation index at: https://docs.finosu.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Scheduled Calls

> Creates a set of new scheduled calls based on a schedule type



## OpenAPI

````yaml POST /scheduled-calls/{customerId}
openapi: 3.1.0
info:
  title: Finosu API
  description: Finosu API
  license:
    name: MIT
  version: 1.0.0
servers: []
security:
  - apiKeyAuth: []
paths:
  /scheduled-calls/{customerId}:
    post:
      description: Creates a set of new scheduled calls based on a schedule type
      parameters:
        - name: customerId
          in: path
          description: ID of customer
          required: true
          schema:
            type: string
      requestBody:
        description: Schedule type to create calls for
        content:
          application/json:
            schema:
              type: object
              properties:
                scheduleType:
                  description: Type of schedule
                  type: string
                  enum:
                    - verification
                    - collections
                    - custom
              required:
                - scheduleType
        required: true
      responses:
        '200':
          description: Array of scheduled calls created
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/NewScheduledCall'
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    NewScheduledCall:
      type: object
      properties:
        id:
          description: Identification number of the scheduled call
          type: string
        customerId:
          description: ID of the customer
          type: string
        scheduledTime:
          description: Scheduled time of the call
          type: string
        status:
          description: Status of the scheduled call
          type: string
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````